#ifndef DISHESITEM_H
#define DISHESITEM_H

#include <QDialog>
#include "Model/dishesObject.h"

namespace Ui {
class dishesItem;
}

class dishesItem : public QDialog
{
    Q_OBJECT

public:
    explicit dishesItem(QString channelCode, QString sku, int status, QString name, QWidget *parent = 0);
    ~dishesItem();

    void Init(QString sku, int status, QString name);

    QString m_sku;
    int m_status;
    QString m_name;

private:
    Ui::dishesItem *ui;

    QString m_channelCode;

signals:
    // 通知工作线程更新上下架状态
     void doUpdDishes(QString ,QMap<QString, int> dishes);

private slots:
     void on_disItemBtn_clicked();

public slots:
     void onUpdDishesFinsh(QString channelCode, QMap<QString, int> dishes);
};

#endif // DISHESITEM_H
